libzypp: zypp/RepoInfo.cc File Reference

libzypp 17.38.14

RepoInfo.cc File Reference
`#include <type_traits>`
`#include <iostream>`
`#include <vector>`
`#include <map>`
`#include <string_view>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-core/parser/xml/XmlEscape.h>`
`#include <zypp-core/ng/meta/type_traits.h>`
`#include <zypp/ManagedFile.h>`
`#include <zypp-common/PublicKey.h>`
`#include <zypp/MediaSetAccess.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/Glob.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/repo/RepoMirrorList.h>`
`#include <zypp/repo/SUSEMediaVerifier.h>`
`#include <zypp-core/ExternalProgram.h>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp/parser/xml/Reader.h>`
`#include <zypp/base/StrMatcher.h>`
`#include <zypp/KeyRing.h>`
`#include <zypp/TmpPath.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/ng/workflows/repoinfowf.h>`
`#include <zypp-curl/private/curlhelper_p.h>`
`#include <zypp/repo/PackageProvider.h>`

Go to the source code of this file.

## Classes
struct | zypp::RepoInfo::Impl
| RepoInfo implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo
namespace | zypp::repo::env

## Macros
#define | OUTS(T, B)
#define | OUTS(V)

## Functions
filesystem::Pathname | zypp::repo::env::XDG_CACHE_HOME ()
| XDG_CACHE_HOME: base directory relative to which user specific non-essential data files should be stored.
std::ostream & | zypp::operator<< (std::ostream &str, const RepoInfo::Impl &obj)
| relates: RepoInfo::Impl Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const RepoInfo &obj)
| relates: RepoInfo Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const RepoInfo::GpgCheck &obj) ZYPP_API
| relates: RepoInfo::GpgCheck Stream output
ZYPP_API detail::EscapedString | escape (const std::string &in_r)
| Escape xml special charaters (& -> &; from IoBind library).

## Macro Definition Documentation

## ◆ OUTS [1/2]

#define OUTS | ( |  | T,
|  |  | B )

Value:
( indeterminate(T) ? (std::string("D(")+(B?"Y":"N")+")") : ((bool)T?"Y":"N") )
bool

## ◆ OUTS [2/2]

#define OUTS | ( |  | V | ) |

Value:
case RepoInfo::V: return str << #V; break
str
String related utilities and Regular expression matching.

## Function Documentation

## ◆ escape()

ZYPP_API detail::EscapedString zypp::xml::escape | ( | const std::string & | in_r | ) |
| inline

Escape xml special charaters (& -> &; from IoBind library).

The detail::EscapedString can be dumped to an ostream and implicitly converts into a std::string.

Definition at line 51 of file XmlEscape.h.